/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;
// This is a simple player
class CheesePlayerData extends java.lang.Object implements java.io.Serializable {
    String	name;

    int	x,y,z,roomid;

    boolean online;

    int	mana_curr, mana_max,
    hit_curr, hit_max,
    move_curr, move_max;

    String preferences;
    String permissions;

    String[] future;

    public boolean has_permission( String p ) {
        if( permissions == null )
            return( false );

        return( permissions.indexOf( p ) != -1 );
    }

    public boolean can_save() {
        return( has_permission( "A" ) || has_permission( "s" ) );
    }

    public boolean can_modify_users() {
        return( has_permission( "A" ) || has_permission( "u" ) );
    }

    public boolean is_administrator() {
        return( has_permission( "A" ) );
    }

    /*
    public boolean has_preference( String p ) {
    	if( preferences == null )
    		return( false );
    	
    	return( preferences.indexOf( p ) != -1 );
    }
    */
}
